com.buschmais.jqassistant.plugin.maven3.impl.scanner

## Class MavenPomXmlFileScannerPlugin

- java.lang.Object
- - com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,MavenPomXmlDescriptor>
  - - com.buschmais.jqassistant.plugin.maven3.impl.scanner.AbstractMavenPomScannerPlugin
    - - com.buschmais.jqassistant.plugin.maven3.impl.scanner.MavenPomXmlFileScannerPlugin

- All Implemented Interfaces:
    com.buschmais.jqassistant.core.scanner.api.ScannerPlugin<com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource,MavenPomXmlDescriptor>

      public class MavenPomXmlFileScannerPlugin
      extends AbstractMavenPomScannerPlugin

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.buschmais.jqassistant.core.scanner.api.ScannerPlugin

      `com.buschmais.jqassistant.core.scanner.api.ScannerPlugin.Requires`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MavenPomXmlFileScannerPlugin()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accepts(com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource item, String path, com.buschmais.jqassistant.core.scanner.api.Scope scope)`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.maven3.impl.scanner.AbstractMavenPomScannerPlugin

      `createDescriptor, getDescriptorType, getType, scan`

    - ### Methods inherited from class com.buschmais.jqassistant.plugin.common.api.scanner.AbstractScannerPlugin

      `getDirectoryPath, getProperties, getProperty, getStringProperty, getTypeParameter, initialize, initialize`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MavenPomXmlFileScannerPlugin

          public MavenPomXmlFileScannerPlugin()

  - ### Method Detail

    - #### accepts

          public boolean accepts(com.buschmais.jqassistant.plugin.common.api.scanner.filesystem.FileResource item,
                                 String path,
                                 com.buschmais.jqassistant.core.scanner.api.Scope scope)
                          throws IOException

      Throws:
        `IOException`

Copyright © 2015 buschmais GbR. All rights reserved.